Page MenuHomePhabricator

Translatable category is added to all its translation pages
Closed, ResolvedPublic

Description

[[mw:Category:MediaWiki_Introduction/fi]] shows:
Categories MediaWiki Introduction Top level/fi Documentation/fi
The /fi categories are added by {{Langcat}}, but "MediaWiki Introduction" comes from nowhere: the template doesn't add it, as Special:ExpandTemplates proves, and removing <languages/> doesn't solve it (nor dummy edits).
The wrong category is not shown with permalinks https://www.mediawiki.org/?oldid=636378


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/wiki/Category:MediaWiki_Introduction/fi

Details

Reference
bz44864

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:18 AM
bzimport set Reference to bz44864.
Nemo_bis created this task.Feb 11 2013, 5:55 AM

Why is that category a translatable page if there is nothing to translate?

(In reply to comment #1)

https://www.mediawiki.org/wiki/Category:MediaWiki_Introduction does not list
it
as a subcategory.

Sure, the bug is only about what's shown on the category page. I don't know if this makes it more or less broken (breakage is shown in less places but inconsistency confuses users).

(In reply to comment #2)

Why is that category a translatable page if there is nothing to translate?

To use <languages/> and encourage addition of descriptions. It's a test for a wider use on all mediawiki.org categories.

(In reply to comment #2)

Why is that category a translatable page if there is nothing to translate?

Note: By way, if category have no translatable strings, upper caption is "This page is a translated version of a page and the translation is 0% complete". In my opinion, should be "100%".

Split comment 4 to bug 44867.

Marking this as lowest priority. Using the Translatable Page feaeture for "category translation" is out of product scope, as is fixing issues in that area at the moment.

(In reply to comment #6)

Marking this as lowest priority. Using the Translatable Page feaeture for
"category translation" is out of product scope, as is fixing issues in that
area at the moment.

Sigh. Worst news of the day after Italian elections... gotta get accustomed to it.
Any idea on who we can ask for suggestions on how to work around this deficiency? It's quite a critical requirement for Meta, mediawiki.org and Meta communities.

The permalink and the normal category view of that page have the same pages for me. I am assuming this has been fixed.

(In reply to comment #8)

The permalink and the normal category view of that page have the same pages
for
me. I am assuming this has been fixed.

I see:

Categories (++):

MediaWiki Introduction
Top level/fi
Documentation/fi
(+)
Seb35 added a comment.Dec 28 2013, 2:47 PM

I wonder if it is a bug, since it behaves exactly as it should ;-) apart the header message on [[mw:Category:MediaWiki Introduction/kl]] says: "This page is a translated version of a page and the translation is 0% complete." (NB: one word is missing: the name of the original page "Category:MediaWiki Introduction").

The header message tpt-translation-intro is intrepreted as wikitext, so the "[[Category:MediaWiki Introduction]]" is interpreted as it. If you set up a translation on an image (File:) you get the image displayed -- by comparison the translation of Category: pages (quite perfect imho) is a lot nicer than the translation of File: pages (perhaps even it should be hard-disabled on File: pages imho, at least for now).

The solution for this bug is then to escape the link with a colon at the start, following what is done on MediaWiki:Translate-tag-page-desc.

I am about to submit the corresponding Gerrit patch. I have some questions on it; I comment these on Gerrit since it’s linked to the resolution.

Change 104204 had a related patch set uploaded by Seb35:
Escape special namespaces in some messages

https://gerrit.wikimedia.org/r/104204

Change 104204 merged by jenkins-bot:
Escape special namespaces in some messages

https://gerrit.wikimedia.org/r/104204